Skip to main content
PATCH
/
advertisers
/
{advertiserId}
/
hypotheses
/
{hypothesisId}
Update hypothesis
curl --request PATCH \
  --url https://api.agentic.scope3.com/api/v2/buyer/advertisers/{advertiserId}/hypotheses/{hypothesisId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "data": null,
  "error": {
    "code": "<string>",
    "message": "<string>",
    "field": "<string>",
    "details": {}
  }
}

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

advertiserId
string
required

Unique identifier for the advertiser

Minimum string length: 1
Example:

"12345"

hypothesisId
string
required

Body

application/json
statement
string
Minimum string length: 1
category
enum<string>
Available options:
audience,
creative,
channel,
context,
timing,
tactic
treatment
string
Minimum string length: 1
comparison
string
Minimum string length: 1
outcomeMetric
string
Minimum string length: 1
icon
string
measurementSource
string | null
measurementLagWeeks
integer
Required range: 0 <= x <= 9007199254740991
minimumTestCells
integer
Required range: 1 <= x <= 9007199254740991
proxyMetrics
object[]
status
enum<string>
Available options:
no_buys,
in_market,
partially_measured,
well_measured,
proven,
disproven

Response

Update hypothesis